> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable the curated security baseline stack



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /org/security/clusters/{cluster_id}/enable-baseline
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/security/clusters/{cluster_id}/enable-baseline:
    post:
      tags:
        - Security
      summary: Enable the curated security baseline stack
      operationId: enable_security_baseline
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateClusterStackResult'
          description: Successful response
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission or CSRF denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Security baseline already installed
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    CreateClusterStackResult:
      properties:
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
        errors:
          default: []
          items:
            $ref: >-
              #/components/schemas/cluster_engine__resource_manager__resource_manager__ResourceError
          title: Errors
          type: array
        job_count:
          default: 0
          title: Job Count
          type: integer
        noop_count:
          default: 0
          title: Noop Count
          type: integer
        operation_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Operation Id
        settings_only_count:
          default: 0
          title: Settings Only Count
          type: integer
        stack_name:
          title: Stack Name
          type: string
      required:
        - stack_name
      title: CreateClusterStackResult
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    cluster_engine__resource_manager__resource_manager__ResourceError:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          title: Errors
          type: array
        kind:
          title: Kind
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - kind
      title: ResourceError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ErrorItem:
      properties:
        key:
          title: Key
          type: string
        message:
          title: Message
          type: string
      required:
        - key
        - message
      title: ErrorItem
      type: object

````